#### Rely on sendmail/smtp or sendmail/pipe below to override default mts.
mts_fakesendmail="${MHMTSCONF}-fakesendmail"
cp "${MHMTSCONF}" "$mts_fakesendmail"
-printf "sendmail: ${srcdir}/test/fakesendmail\n" >>"$mts_fakesendmail"
+printf 'sendmail: %s/test/fakesendmail\n' "$srcdir" >>"$mts_fakesendmail"
MHMTSCONF="$mts_fakesendmail"
# $1: -mts switch selection
test_alias ()
{
if [ "$1" = 'sendmail/smtp' ]; then
- send -draft -alias "${MH_TEST_DIR}/Mail/aliases" -mts sendmail/smtp
+ run_prog send -draft -alias "${MH_TEST_DIR}/Mail/aliases" -mts sendmail/smtp
# fakesendmail drops the message and any cc's into this mbox.
mbox="${MH_TEST_DIR}"/Mail/fakesendmail.mbox
elif [ "$1" = 'sendmail/pipe' ]; then
set +e
- send -draft -alias "${MH_TEST_DIR}/Mail/aliases" -mts sendmail/pipe \
- >"${testname}.actual" 2>&1
+ run_prog send -draft -alias "${MH_TEST_DIR}/Mail/aliases" \
+ -mts sendmail/pipe >"${testname}.actual" 2>&1
if [ $? -eq 0 ]; then
- printf "$0: sendmail/pipe should have failed but didn't\n"
+ printf '%s: sendmail/pipe should have failed but didn'"'"'t\n' "$0"
else
set -e
check "${testname}.actual" "$2"
fi
else
- printf "$0: invalid -mts switch selection\n"
+ printf '%s: invalid -mts switch selection\n' "$0"
exit 1
fi
}
From: Mr Nobody <nobody@example.com>
To: Blind List: ;
Subject: blind list test
+MIME-Version: 1.0
+Content-Type: text/plain; charset="us-ascii"
Date:
This is test of a blind list.
From: Mr Nobody <nobody@example.com>
To: Blind List: ;
Subject: blind list test
+MIME-Version: 1.0
+Content-Type: text/plain; charset="us-ascii"
Date:
This is test of a blind list.
From: Mr Nobody <nobody@example.com>
To: "named.list" <one@example.com>, "named.list" <two@example.com>
Subject: named list test
+MIME-Version: 1.0
+Content-Type: text/plain; charset="us-ascii"
Date:
This is test of a named list.